Bug 1772641 - [v2v] Pre/post-migration playbook launch overrides Ansible Playbook service template credential
Summary: [v2v] Pre/post-migration playbook launch overrides Ansible Playbook service t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.11.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: GA
: 5.10.13
Assignee: Fabien Dupont
QA Contact: Shveta
Red Hat CloudForms Documentation
URL:
Whiteboard: v2v
Depends On: 1739247
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-14 19:41 UTC by Satoe Imaishi
Modified: 2019-12-03 06:55 UTC (History)
6 users (show)

Fixed In Version: 5.10.13.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1739247
Environment:
Last Closed: 2019-12-03 06:55:43 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:4047 None None None 2019-12-03 06:55:50 UTC

Comment 3 CFME Bot 2019-11-14 19:46:43 UTC
New commit detected on ManageIQ/manageiq-content/hammer:

https://github.com/ManageIQ/manageiq-content/commit/07493fc5b64c55cbe54ef91c1b5c12d21499ced4
commit 07493fc5b64c55cbe54ef91c1b5c12d21499ced4
Author:     tina <tfitzger@redhat.com>
AuthorDate: Tue Aug 13 13:18:34 2019 -0400
Commit:     tina <tfitzger@redhat.com>
CommitDate: Tue Aug 13 13:18:34 2019 -0400

    Merge pull request #559 from fdupont-redhat/v2v_fix_launch_ansible_playbook_credentials

    [Transformation][AnsiblePlaybook] Send service_template credential id as part of service dialog

    (cherry picked from commit a2fb8c8192327d7a60697fc829b28777f9aa7ca8)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1772641

 content/automate/ManageIQ/Transformation/Ansible.class/__methods__/launchplaybookasaservice.rb | 5 +-
 spec/content/automate/ManageIQ/Transformation/Ansible.class/__methods__/launchplaybookasaservice_spec.rb | 131 +
 2 files changed, 135 insertions(+), 1 deletion(-)

Comment 4 CFME Bot 2019-11-14 19:47:29 UTC
New commit detected on ManageIQ/manageiq-automation_engine/hammer:

https://github.com/ManageIQ/manageiq-automation_engine/commit/95728351f279abcab3140bbb0f891d9c5dc58859
commit 95728351f279abcab3140bbb0f891d9c5dc58859
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Tue Aug 13 09:20:24 2019 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Tue Aug 13 09:20:24 2019 -0400

    Merge pull request #348 from fdupont-redhat/override_equality_comparison_method

    Override equality comparison method for MiqAeServiceModelBase

    (cherry picked from commit 0c498633308578ba84bfb52328234db1ece7c659)

    https://bugzilla.redhat.com/show_bug.cgi?id=1772641

 lib/miq_automation_engine/engine/miq_ae_method_service/miq_ae_service_model_base.rb | 4 +
 1 file changed, 4 insertions(+)

Comment 5 Shveta 2019-11-21 18:48:03 UTC
Created migration plan with ansible playbook having credentials set .
Migration is successful .
Verified in 5.10.13.0.20191119151058_31d9a94

Comment 7 errata-xmlrpc 2019-12-03 06:55:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:4047


Note You need to log in before you can comment on or make changes to this bug.